local luaCutscenesUtils = require("#Celeste.Mod.MaxHelpingHand.Module.LuaCutscenesUtils")

function onTalk()
    if getFlag("newgame_plus") then
		disableMovement()
		coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("OMORI_GAME", "CBR_DeeperWell_mute_npc_ngplus"))
	else
    disableMovement()
    coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("OMORI_GAME", "CBR_DeeperWell_mute_npc"))
	end
end

function onEnd(room, wasSkipped)
   enableMovement()
end